<?php

/**
 * @package		plg_sys_externallinkwarning
 * @copyright	Copyright (C) 2010 - 2016 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgSystemExternalLinkWarning extends JPlugin {

    function onBeforeRender() {
	$app = JFactory::getApplication();
        $doc = JFactory::getDocument();
        if ($app->isAdmin() || $doc->getType() != 'html') return;
	JFactory::getLanguage()->load('plg_system_externallinkwarning', JPATH_ADMINISTRATOR);
	JText::script('PLG_SYS_EXTERNALLINKWARNING_WARNINGTEXT');
	$options = array(
	    'sitename'=>$app->getCfg('sitename',false),
	    'warningexcludeclasses'=>$this->params->get('warningexcludeclasses','{"classes":[]}'),
	    'uselinkicon'=>$this->params->get('uselinkicon',0),
	    'linkicon'=>$this->params->get('linkicon',''),
	    'linkiconexcludeclasses'=>$this->params->get('linkiconexcludeclasses','{"classes":[]}')
	);
	$doc->addScriptDeclaration('window.plg_system_externallinkwarning_options = '.json_encode($options)."\n");
	JHtml::_('jquery.framework');
	$doc->addScript(JURI::root(true).'/media/plg_system_externallinkwarning/jqclass.js');
	$doc->addScript(JURI::root(true).'/media/plg_system_externallinkwarning/externallinkwarning.js');
	return true;
    }

}
